Summary:       Perl module for SOAP with WSDL support
Name:          perl-SOAP-WSDL
Version:       3.004
Release:    1%{?dist}
License:       GPL+ or Artistic
URL:           https://metacpan.org/release/SOAP-WSDL
Source0:        https://cpan.metacpan.org/modules/by-module/SOAP/SOAP-WSDL-%{version}.tar.gz
Patch0:        %{name}-use-Test-XML.patch

BuildArch:     noarch
BuildRequires: make
BuildRequires: git
BuildRequires: perl-interpreter
BuildRequires: perl-generators
BuildRequires: perl(Apache2::Const)
BuildRequires: perl(Apache2::Log)
BuildRequires: perl(Apache2::RequestIO)
BuildRequires: perl(Apache2::RequestRec)
BuildRequires: perl(Apache2::RequestUtil)
BuildRequires: perl(APR::Table)
BuildRequires: perl(base)
BuildRequires: perl(bytes)
BuildRequires: perl(Carp)
BuildRequires: perl(Class::Load)
BuildRequires: perl(Class::Std::Fast)
BuildRequires: perl(Class::Std::Fast::Storable)
BuildRequires: perl(Cwd)
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(Date::Format)
BuildRequires: perl(Date::Parse)
BuildRequires: perl(diagnostics)
BuildRequires: perl(Encode)
BuildRequires: perl(English)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Find::Rule)
BuildRequires: perl(File::Spec)
BuildRequires: perl(HTTP::Headers)
BuildRequires: perl(HTTP::Request)
BuildRequires: perl(HTTP::Response)
BuildRequires: perl(HTTP::Status)
BuildRequires: perl(IO::File)
BuildRequires: perl(IO::Scalar)
BuildRequires: perl(lib)
BuildRequires: perl(List::Util)
BuildRequires: perl(LWP::UserAgent)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(SOAP::Lite)
BuildRequires: perl(Storable)
BuildRequires: perl(strict)
BuildRequires: perl(Template)
BuildRequires: perl(Test::MockObject)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Pod)
BuildRequires: perl(URI)
BuildRequires: perl(vars)
BuildRequires: perl(warnings)
BuildRequires: perl(XML::Parser::Expat)
BuildRequires: perl(Template::Plugin::CGI)

Requires:      perl(SOAP::Lite)

%{?perl_default_filter}


%description
SOAP::WSDL provides easy access to Web Services with WSDL descriptions.
The WSDL is parsed and stored in memory. Your data is serialized according
to the rules in the WSDL. The only transport mechanisms currently supported
are HTTP and HTTPS.


%package  Apache
Summary:  SOAP server with WSDL support for Apache2 web server
Requires: %{name} = %{version}-%{release}


%description Apache
The SOAP::WSDL-server package contains a SOAP compliant server capable of
sending messages via the Apache2 web server.


%package  examples
Summary:  Examples for the Perl SOAP::WSDL module
Requires: %{name} = %{version}-%{release}


%description examples
The package contains examples for SOAP::WSDL module.


%prep
%autosetup -S git -n SOAP-WSDL-%{version}
chmod a-x example/cgi-bin/*.pl


%build
%{__perl} Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%make_build


%install
%make_build pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -delete
chmod 0755 %{buildroot}%{_bindir}/wsdl2perl.pl


%check
%make_build test


%files
%license LICENSE
%doc Changes HACKING README TODO
%{_bindir}/wsdl2perl.pl
%exclude %{perl_vendorlib}/SOAP/WSDL/Server/
%{perl_vendorlib}/SOAP/*
%{_mandir}/man1/wsdl2perl.pl.1*
%{_mandir}/man3/SOAP::*3pm*


%files Apache
%license LICENSE
%{perl_vendorlib}/SOAP/WSDL/Server/


%files examples
%license LICENSE
%doc example/


%changelog
* Thu Jun 20 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.004-1
- initial build
